% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/convoSPAT_paramEst.R
\name{make_global_loglik1}
\alias{make_global_loglik1}
\title{Constructor functions for global parameter estimation.}
\usage{
make_global_loglik1(data, Xmat, Dmat, Vmat)
}
\arguments{
\item{data}{A vector or matrix of data to use in the likelihood
calculation.}

\item{Xmat}{The design matrix for the mean model.}

\item{Dmat}{A diagonal matrix of eigenvalues for the covariance
matrix.}

\item{Vmat}{An orthogonal matrix of eigenvectors for the covariance
matrix.}
}
\value{
This function returns another function for use in \code{optim}.
}
\description{
This function generates another function to be used within \code{optim} to
obtain maximum likelihood estimates of
global variance parameters tausq, sigmasq with a fixed correlation
matrix (smoothness is fixed).
}
\examples{
\dontrun{
make_global_loglik1( data, Xmat, Dmat, Vmat )
}
}

